# Usage example

```javascript
var CRMWebAPI = require('crmwebapi-node-demo');

var apiconfig = { APIUrl: 'https://test.crm.dynamics.com/api/data/v8.0/', AccessToken: "<your_access_token>" };
var crmAPI = new CRMWebAPI(apiconfig);

crmAPI
	.Create("accounts", { "name": "test21" })
		.then(
			function(r){
				console.log('Created: ' + r);
				return crmAPI.Update('accounts', r, { "name": "test2updated"});
			}, 
			function(e){
				console.log(error);
			})
		.then(
			function(r){
				console.log('Updated: ' + r.EntityID);
				return crmAPI.Delete('accounts', r.EntityID);
			}, 
			function(e){
				console.log(error);
			})
		.then(
			function(r){
				console.log('Deleted');
			}, function(e){
				console.log(error);
		})
```

